(ns wanijo.schema.routes
  (:require [compojure.core :refer [defroutes GET POST]]
            [ring.util.response :as resp]
            [wanijo.domain.schema :as domain-schema]
            [wanijo.view.forms :as forms]
            [wanijo.schema.view :as view-schema]))

(defn- new! [req]
  (if (forms/valid? view-schema/new-form req)
    (do
      (domain-schema/create-new!
       (get-in req [:params :schema-name])
       (get-in req [:session :uuid]))
      (resp/redirect "/schema"))
    (view-schema/overview! req)))

(defroutes schema-routes
  (GET "/schema" [] view-schema/overview!)
  (POST "/schema/new" [] new!))
