(ns wanijo.schema.view
  (:require [hiccup.form :as hform]
            [ring.util.anti-forgery :refer [anti-forgery-field]]
            [wanijo.view.page :as page]
            [wanijo.domain.schema :as domain-schema]
            [wanijo.view.forms :as forms]))

(def new-form
  {:fields {:schema-name {:label "Nimi"
                          :required true
                          :spec :wanijo.domain.schema/name}}})

(defn overview! [req]
  (let [session (:session req)
        uuid (:uuid session)
        schemas (domain-schema/all-created-by! uuid)]
    (page/layout!
      :session session
      :content
      [[:h1 "Ali jaki ijo"]
       [:table
        [:thead
         [:tr
          [:th "Nimi"]
          [:th "Tenpo kama"]]]
        [:tbody
         (for [schema schemas]
           [:tr
            [:td (:name schema)]
            [:td (:created_at schema)]])]]
       [:h1 "Pali sin e jaki ijo"]
       (hform/form-to
         [:post "/schema/new"]
         (forms/field new-form :schema-name req)
         (hform/submit-button "Pali")
         (anti-forgery-field))])))
